package entity

import (
	"time"
)

// Exam 考试
type Exam struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
	Status   int        `json:"status,omitempty" db:"status,omitempty"`
	// 考试开始结束时间
	StartAt  time.Time	`json:"start_at,omitempty" db:"start_at,omitempty"`
	EndAt    time.Time  `json:"end_at,omitempty" db:"end_at,omitempty"`
	PublishAt    time.Time  `json:"publish_at,omitempty" db:"publish_at,omitempty"`
	// 考试时长
	Duration int        `json:"duration,omitempty" db:"duration,omitempty"`
	// 要考试的班级组
	ClassIds string		`json:"class_ids,omitempty" db:"class_ids,omitempty"`
	// 试卷id
	TpId     int		`json:"tp_id,omitempty" db:"tp_id,omitempty"`
	UserCount     *int		`json:"user_count,omitempty" db:"user_count,omitempty"`
}
