package entity

import (
	"time"
)

// Term 学期
type Term struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
}
