package entity

import "time"

type UserRole struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	UserId   int        `json:"userId,omitempty" db:"userId,omitempty"`
	RoleId   int        `json:"roleId,omitempty" db:"roleId,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
}
