package entity

import "time"

type Perm struct {
	Id   int    `json:"id,omitempty" db:"id,omitempty"`
	Path string `json:"path,omitempty" db:"path,omitempty"`
	// 请求方式
	Method string `json:"method,omitempty" db:"method,,omitempty"`
	// 名字
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
}
