package entity

import (
	"time"
)

const (
	UNUSE = iota
	USE
)

// QuestionBank 题库
type QuestionBank struct {
	Id          int        `json:"id,omitempty" db:"id,omitempty"`
	Name        string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt    time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt    time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt    *time.Time `json:"-" db:"delete_at,omitempty"`
	Status      *int        `json:"status,omitempty" db:"status,omitempty"` // 0禁用	1正常
	Description string     `json:"description,omitempty" db:"description,omitempty"`
}
