package entity

import (
	"time"
)

// TestPaper 试卷
type TestPaper struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
	Score    *int         `json:"score,omitempty" db:"score,omitempty"`
	Status   *int        `json:"status,omitempty" db:"status,omitempty"`
	// 及格
	PassScore *int		`json:"pass_score,omitempty" db:"pass_score,omitempty"`
}


type Chapter struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	Description string	`json:"description,omitempty" db:"description,omitempty"`
	// 题目id编号
	SubList		string	`json:"sub_list,omitempty" db:"sub_list,omitempty"`
	TpId	int 		`json:"tp_id,omitempty" db:"tp_id,omitempty"`
}
