package entity

import "time"

const (
	UNDER_REVIEW = iota
	NORMAL
	DISABLED
)

type User struct {
	ID       int    `json:"id,omitempty" db:"id,omitempty"`
	Username string `json:"username,omitempty" db:"username,omitempty"`
	Password string `json:"password,omitempty" db:"password,omitempty"`
	// 学号
	Sid      string     `json:"sid,omitempty" db:"sid,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
	// 状态 0审核中 1正常 2禁用
	Status  *int  `json:"status,omitempty" db:"status,omitempty"`
	ClassId *int `json:"class_id,omitempty" db:"class_id,omitempty"`
}
