package vo

import (
	"time"
)

type TestPaperVo struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	CreateAt time.Time  `json:"create_at,omitempty" db:"create_at,omitempty"`
	UpdateAt time.Time  `json:"update_at,omitempty" db:"update_at,omitempty"`
	DeleteAt *time.Time `json:"-" db:"delete_at,omitempty"`
	Status   *int        `json:"status,omitempty" db:"status,omitempty"`
	Score    *int         `json:"score,omitempty" db:"score,omitempty"`
	Answer   *string	`json:"answer,omitempty" db:"answer,omitempty"`
	Chapters []*ChapterVo `json:"chapters,omitempty" db:"chapters,omitempty"`
	// 及格
	PassScore *int		`json:"pass_score,omitempty" db:"pass_score,omitempty"`
}


type ChapterVo struct {
	Id       int        `json:"id,omitempty" db:"id,omitempty"`
	Name     string     `json:"name,omitempty" db:"name,omitempty"`
	Description string	`json:"description,omitempty" db:"description,omitempty"`
	SubList []*SubjectVo `json:"sub_list,omitempty" db:"-"`
	SubIds string `json:"-" db:"sub_ids,omitempty"`
	TpId	int 		`json:"tp_id,omitempty" db:"tp_id,omitempty"`
	Index *int 			`json:"index,omitempty" db:"index,omitempty"`
}




